<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>S-Index (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-17.html">Prev Letter</a></li>
<li><a href="index-19.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-18.html" target="_top">Frames</a></li>
<li><a href="index-18.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../lib/Utilities.html#S2KRFC2440-java.lang.String-">S2KRFC2440(String)</a></span> - Static method in class lib.<a href="../lib/Utilities.html" title="class in lib">Utilities</a></dt>
<dd>
<div class="block">Secret to key, Algorithm info taken from
 http://sunsite.icm.edu.pl/gnupg/rfc2440-3.html</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#save--">save()</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Save to xml file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#saveBodyToFile-java.lang.String-javax.swing.JProgressBar-">saveBodyToFile(String, JProgressBar)</a></span> - Method in class lib.<a href="../lib/NetFunctions.HttpPage.html" title="class in lib">NetFunctions.HttpPage</a></dt>
<dd>
<div class="block">Save http body to a file, applies to all types of content</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#saveConf--">saveConf()</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Save configuration file</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#saveExitFavourites--">saveExitFavourites()</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Save exit node whitelist</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#saveGuardWhitelist--">saveGuardWhitelist()</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Save exit node blacklist</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#savePatternsList-java.lang.String-java.lang.String-java.util.ArrayList-">savePatternsList(String, String, ArrayList&lt;String&gt;)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Save a patterns list by filename</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PrefsDialog.html#savePreferences--">savePreferences()</a></span> - Method in class client.<a href="../client/PrefsDialog.html" title="class in client">PrefsDialog</a></dt>
<dd>
<div class="block">Save preferences</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/NetFunctions.html#saveURLContentToFile-java.lang.String-java.lang.String-java.net.Socket-boolean-">saveURLContentToFile(String, String, Socket, boolean)</a></span> - Method in class lib.<a href="../lib/NetFunctions.html" title="class in lib">NetFunctions</a></dt>
<dd>
<div class="block">Save the contents of a URL to a file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#secureWipe-java.lang.String-">secureWipe(String)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Wipe file using specified filename</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#secureWipe-java.io.File-">secureWipe(File)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Wipe file using specified File</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#secureWipeFolder-java.lang.String-">secureWipeFolder(String)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Wipe folder and its contents using specified folder path</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#secureWipeFolder-java.io.File-">secureWipeFolder(File)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Wipe folder and its contents using specified File</div>
</dd>
<dt><a href="../client/SelekTOR.html" title="class in client"><span class="typeNameLink">SelekTOR</span></a> - Class in <a href="../client/package-summary.html">client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/SelekTOR.html#SelekTOR-java.lang.String:A-">SelekTOR(String[])</a></span> - Constructor for class client.<a href="../client/SelekTOR.html" title="class in client">SelekTOR</a></dt>
<dd>
<div class="block">Initialises SelekTOR UI Frame</div>
</dd>
<dt><a href="../SelekTOR.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">SelekTOR</span></a> - Class in <a href="../package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Explanation of why this is in the default package</div>
</dd>
<dt><span class="memberNameLink"><a href="../SelekTOR.html#SelekTOR--">SelekTOR()</a></span> - Constructor for class <a href="../SelekTOR.html" title="class in &lt;Unnamed&gt;">SelekTOR</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#sendCommand-java.lang.String-">sendCommand(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Send a command to tor client</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ClientProcess.html#sendMessage-java.lang.String-">sendMessage(String)</a></span> - Method in class lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></dt>
<dd>
<div class="block">Send a message to the process</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAckEnabled-boolean-">setAckEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set whether Ok button is enabled</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAckVisible-boolean-">setAckVisible(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set whether OK button is visible</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setAppDescription-java.lang.String-">setAppDescription(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set appliction description</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setAppLogo-javax.swing.ImageIcon-">setAppLogo(ImageIcon)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set application logo</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/QuickAddDialog.html#setApplyText-java.lang.String-">setApplyText(String)</a></span> - Method in class client.<a href="../client/QuickAddDialog.html" title="class in client">QuickAddDialog</a></dt>
<dd>
<div class="block">Set text that appears on the Apply button</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAutoClose-int-">setAutoClose(int)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set the form auto close period in milliseconds</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAutoScrollEnabled-boolean-">setAutoScrollEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Enable/Disable Autoscrolling</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TrayPopupMenu.html#setBackground-java.awt.Color-">setBackground(Color)</a></span> - Method in class lib.<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setBackupFolder-java.lang.String-">setBackupFolder(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Set folder where system proxy settings will be backed up</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setBandwidth-float-">setBandwidth(float)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set node item bandwidth</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#setBool-java.lang.String-boolean-">setBool(String, boolean)</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Set a boolean property</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setBoolTorOption-java.lang.String-boolean-">setBoolTorOption(String, boolean)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Add a tor option boolean value</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setBridges-java.lang.String-">setBridges(String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set Tor bridges, supports multiple addresses</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setButtonCloseText-java.lang.String-">setButtonCloseText(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set text on Close button</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setButtonContactText-java.lang.String-">setButtonContactText(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set text on Contact button</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TextResourceDialog.html#setButtonURL-java.lang.String-">setButtonURL(String)</a></span> - Method in class lib.<a href="../lib/TextResourceDialog.html" title="class in lib">TextResourceDialog</a></dt>
<dd>
<div class="block">Set the browser url for unnoficial translation</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setButtonVisitText-java.lang.String-">setButtonVisitText(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set text on Visit button</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setCachedDataFolder-int-">setCachedDataFolder(int)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">This populates the the current folder whose name is derived from the
 listening port with data from the given source folder derived by the
 given port number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelButtonText-java.lang.String-">setCancelButtonText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelEnabled-boolean-">setCancelEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set whether Cancel button is enabled</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelVisible-boolean-">setCancelVisible(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set whether Cancel button is visible</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxEnabled-boolean-">setCheckBoxEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set check box selection status</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxText-java.lang.String-">setCheckBoxText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxVisible-boolean-">setCheckBoxVisible(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set whether the forms checkbox is enabled</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorCircuit.html#setCircuit-java.lang.String-">setCircuit(String)</a></span> - Method in class client.<a href="../client/TorCircuit.html" title="class in client">TorCircuit</a></dt>
<dd>
<div class="block">Set circuit to supplied circuit</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setCircuitHops-java.lang.String-">setCircuitHops(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set circuit hops</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setCLIOption-java.lang.String-java.lang.String-">setCLIOption(String, String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Add a tor option string which is passed to the tor client on startup.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCloseButtonText-java.lang.String-">setCloseButtonText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/TextResourceDialog.html#setCloseButtonText-java.lang.String-">setCloseButtonText(String)</a></span> - Method in class lib.<a href="../lib/TextResourceDialog.html" title="class in lib">TextResourceDialog</a></dt>
<dd>
<div class="block">Set the text on the Close button</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/ExitNodeTableModel.html#setColumnName-java.lang.String-int-">setColumnName(String, int)</a></span> - Method in class client.<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a></dt>
<dd>
<div class="block">Set the column name at the specified index</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeTableModel.html#setColumnName-java.lang.String-int-">setColumnName(String, int)</a></span> - Method in class client.<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a></dt>
<dd>
<div class="block">Set the column name at the specified index</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PatternsEditor.PACTableModel.html#setColumnName-java.lang.String-int-">setColumnName(String, int)</a></span> - Method in class client.<a href="../client/PatternsEditor.PACTableModel.html" title="class in client">PatternsEditor.PACTableModel</a></dt>
<dd>
<div class="block">Set the column name at the specified index</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#setConf-java.lang.String-">setConf(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set a tor configuration property</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setContactURL-java.lang.String-">setContactURL(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set contact url</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setContinueButtonText-java.lang.String-">setContinueButtonText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setControlPassword-java.lang.String-java.lang.String-">setControlPassword(String, String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setCountryCode-java.lang.String-">setCountryCode(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem with its two letter country code abbreviation</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setCountryName-java.lang.String-">setCountryName(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem with its full country name</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#setDefaultModeEnabled-boolean-">setDefaultModeEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Enable/disable default mode</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setDefaultProxy-java.lang.String-">setDefaultProxy(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Set default proxy url</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setDoNotProxy-java.lang.String-">setDoNotProxy(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Set do not proxy</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/DesktopNotify.html#setEnabled-boolean-">setEnabled(boolean)</a></span> - Method in class lib.<a href="../lib/DesktopNotify.html" title="class in lib">DesktopNotify</a></dt>
<dd>
<div class="block">Disable/Enable notifications</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#setEntryNodes-java.lang.String-">setEntryNodes(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set entry nodes</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#setExitNodeTableModel-client.ExitNodeTableModel-">setExitNodeTableModel(ExitNodeTableModel)</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Set the exit node view table model</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setExternalArgs-java.lang.String-">setExternalArgs(String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set external user provided startup arguments</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setFavouriteEnabled-boolean-">setFavouriteEnabled(boolean)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set exit enabled status of Nodeitem</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/QuickAddDialog.html#setFields-java.lang.String-java.lang.String-">setFields(String, String)</a></span> - Method in class client.<a href="../client/QuickAddDialog.html" title="class in client">QuickAddDialog</a></dt>
<dd>
<div class="block">Set the test that appears in both fields</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#setFile-java.io.File-">setFile(File)</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Set file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#setFileFilter-java.lang.String-">setFileFilter(String)</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Sets the file filter</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setFileHidden-java.lang.String-boolean-">setFileHidden(String, boolean)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a files hidden status (Windows only)</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#setFileName-java.lang.String-">setFileName(String)</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Set filename</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setFingerprint-java.lang.String-">setFingerprint(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set nodeitem fingerprint</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setFont-java.lang.String-int-">setFont(String, int)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set info font</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TrayPopupMenu.html#setForeground-java.awt.Color-">setForeground(Color)</a></span> - Method in class lib.<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setGeoIP4-java.lang.String-">setGeoIP4(String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the path to the geoip file</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setGeoIP6-java.lang.String-">setGeoIP6(String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the path to the geoip file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setGnome3Pref-java.lang.String-java.lang.String-boolean-">setGnome3Pref(String, String, boolean)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a gnome 3 boolean value using schema name and key name</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setGnome3Pref-java.lang.String-java.lang.String-java.lang.String-">setGnome3Pref(String, String, String)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a gnome 3 string value using schema name and key name</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setGuardEnabled-boolean-">setGuardEnabled(boolean)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set guard enabled status of Nodeitem</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#setGuardNodeTableModel-client.GuardNodeTableModel-">setGuardNodeTableModel(GuardNodeTableModel)</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Set the guard node view table model</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#setHomeURL-java.lang.String-">setHomeURL(String)</a></span> - Method in class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Set home url</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorCircuit.html#setHops-java.lang.String-">setHops(String)</a></span> - Method in class client.<a href="../client/TorCircuit.html" title="class in client">TorCircuit</a></dt>
<dd>
<div class="block">Set hops</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setHttpSupported-boolean-">setHttpSupported(boolean)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setInfoText-java.lang.String-">setInfoText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set dialog message body</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setInfoText-java.lang.String-java.awt.Color-">setInfoText(String, Color)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set dialog message body, and font colour</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#setInfoTip-java.lang.String-">setInfoTip(String)</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>
<div class="block">Set info tip text</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setInitialBootEvent-int-">setInitialBootEvent(int)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the event that is issued on process boot completion</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#setInt-java.lang.String-int-">setInt(String, int)</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Set a integer number property</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setIPAddress-java.lang.String-">setIPAddress(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set nodeitem ip address</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setKDEPref-java.lang.String-java.lang.String-java.lang.String-">setKDEPref(String, String, String)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a kde string preference value using group name, key name</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setKDEPref-java.lang.String-java.lang.String-boolean-">setKDEPref(String, String, boolean)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a kde boolean preference value using group name, key name</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#setKDEPref-java.lang.String-java.lang.String-int-">setKDEPref(String, String, int)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Set a kde integer preference value using group name, key name</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setLatency-long-">setLatency(long)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem latency value in ms</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorMonFrame.html#setLaunchString-java.lang.String-">setLaunchString(String)</a></span> - Method in class client.<a href="../client/TorMonFrame.html" title="class in client">TorMonFrame</a></dt>
<dd>
<div class="block">Set launch command text</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setListenPort-int-">setListenPort(int)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the listening port</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setLogLevel-int-">setLogLevel(int)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the Tor stdout log level</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#setLong-java.lang.String-long-">setLong(String, long)</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Set a long number property</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setMaxHistory-int-">setMaxHistory(int)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the maximum no of lines to display in the Stdout output</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setNickName-java.lang.String-">setNickName(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set nodeitem name</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeDialog.html#setNodeList-client.NodeList-">setNodeList(NodeList)</a></span> - Method in class client.<a href="../client/GuardNodeDialog.html" title="class in client">GuardNodeDialog</a></dt>
<dd>
<div class="block">Set the nodelist</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/DesktopNotify.html#setNotificationBody-java.lang.String-">setNotificationBody(String)</a></span> - Method in class lib.<a href="../lib/DesktopNotify.html" title="class in lib">DesktopNotify</a></dt>
<dd>
<div class="block">Set desktop notification body</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/DesktopNotify.html#setNotificationTitle-java.lang.String-">setNotificationTitle(String)</a></span> - Method in class lib.<a href="../lib/DesktopNotify.html" title="class in lib">DesktopNotify</a></dt>
<dd>
<div class="block">Set desktop notification title</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setOwnershipID-java.lang.String-">setOwnershipID(String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set Ownership process id, useful for proper process termination in event
 of a crash</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setPACFolder-java.lang.String-">setPACFolder(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Set folder where pac files will be generated</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setPatternsFolder-java.lang.String-">setPatternsFolder(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Create folder in which pattern files will be stored</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/NetFunctions.html#setProgressBar-javax.swing.JProgressBar-">setProgressBar(JProgressBar)</a></span> - Method in class lib.<a href="../lib/NetFunctions.html" title="class in lib">NetFunctions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setProxyAutoConfigURL-java.lang.String-">setProxyAutoConfigURL(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Generic set proxy config</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PatternsEditor.html#setSelectedCountry-java.lang.String-">setSelectedCountry(String)</a></span> - Method in class client.<a href="../client/PatternsEditor.html" title="class in client">PatternsEditor</a></dt>
<dd>
<div class="block">Set the selected country</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setSilentBootEnabled-boolean-">setSilentBootEnabled(boolean)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Enable/Disable bootstrap message events on startup</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/NetFunctions.html#setSocketTimeout-int-">setSocketTimeout(int)</a></span> - Method in class lib.<a href="../lib/NetFunctions.html" title="class in lib">NetFunctions</a></dt>
<dd>
<div class="block">Set default socket timeout</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setStable-java.lang.String-">setStable(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem stability yes/no/unknown</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ClientProcess.html#setStartupDelay-long-">setStartupDelay(long)</a></span> - Method in class lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></dt>
<dd>
<div class="block">Set the initial delay that is executed prior to starting the process</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ClientProcess.html#setStartupTimeout-long-">setStartupTimeout(long)</a></span> - Method in class lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></dt>
<dd>
<div class="block">Set startup timeout</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#setStatus-int-">setStatus(int)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set status flag</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setStdoutTextArea-javax.swing.JTextArea-">setStdoutTextArea(JTextArea)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Set the text area that will receive Stdout output</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setStreams-int-">setStreams(int)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set nodeitem number of streams</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#setString-java.lang.String-java.lang.String-">setString(String, String)</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Set a String property</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#setTempFolder-java.lang.String-">setTempFolder(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Set the temp folder for file extractions</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/ExitNodeTableModel.html#setTestFieldValues-java.lang.String-long-java.lang.String-java.lang.String-">setTestFieldValues(String, long, String, String)</a></span> - Method in class client.<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a></dt>
<dd>
<div class="block">Convenience method to set the testing field cell values for a specific
 fingerprint, the hops field is hidden and does npt show up in table</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setTestingMessage-java.lang.String-">setTestingMessage(String)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem testing status message</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#setTestingURL-java.lang.String-">setTestingURL(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set the url used for latency checking</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setTestLatency-long-">setTestLatency(long)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Nodeitem test latency value in ms</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setTestStatus-int-">setTestStatus(int)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set testing status flag</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TextResourceDialog.html#setText-java.lang.String-">setText(String)</a></span> - Method in class lib.<a href="../lib/TextResourceDialog.html" title="class in lib">TextResourceDialog</a></dt>
<dd>
<div class="block">Set the license text</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setTimeLock-int-">setTimeLock(int)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setTitle-java.lang.String-">setTitle(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Set dialog title</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#setTorrcOption-java.lang.String-java.lang.String-">setTorrcOption(String, String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Add a torrc option string See Tor documentation for valid options.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#setTrayPopupMenu-lib.TrayPopupMenu-">setTrayPopupMenu(TrayPopupMenu)</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>
<div class="block">Set tray right click popup</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#setType-int-">setType(int)</a></span> - Method in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>
<div class="block">Set Node type</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TextResourceDialog.html#setURLButtonText-java.lang.String-">setURLButtonText(String)</a></span> - Method in class lib.<a href="../lib/TextResourceDialog.html" title="class in lib">TextResourceDialog</a></dt>
<dd>
<div class="block">Set the text on the Close button</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/ExitNodeTableModel.html#setValueAt-java.lang.Object-java.lang.String-int-">setValueAt(Object, String, int)</a></span> - Method in class client.<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a></dt>
<dd>
<div class="block">Set value with given fingerprint at given column</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/ExitNodeTableModel.html#setValueAt-java.lang.Object-int-int-">setValueAt(Object, int, int)</a></span> - Method in class client.<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a></dt>
<dd>
<div class="block">Set cell value at row,col</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeTableModel.html#setValueAt-java.lang.Object-java.lang.String-int-">setValueAt(Object, String, int)</a></span> - Method in class client.<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a></dt>
<dd>
<div class="block">Set value with given fingerprint at given column</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeTableModel.html#setValueAt-java.lang.Object-int-int-">setValueAt(Object, int, int)</a></span> - Method in class client.<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a></dt>
<dd>
<div class="block">Set cell value at row,col</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#setVisibleWithFocus-boolean-">setVisibleWithFocus(boolean)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#signal-java.lang.String-">signal(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Send signal to tor</div>
</dd>
<dt><a href="../lib/SimpleFile.html" title="class in lib"><span class="typeNameLink">SimpleFile</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#SimpleFile--">SimpleFile()</a></span> - Constructor for class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#SimpleFile-java.lang.String-">SimpleFile(String)</a></span> - Constructor for class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../lib/SimpleProps.html" title="class in lib"><span class="typeNameLink">SimpleProps</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#SimpleProps-java.lang.String-java.lang.String-">SimpleProps(String, String)</a></span> - Constructor for class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Constructor, requires</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#start--">start()</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Start tor controller process and issue the TOR_BOOTED event</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#start-int-">start(int)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Start tor controller process and issue the given event</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ClientProcess.html#start-java.lang.String-">start(String)</a></span> - Method in class lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></dt>
<dd>
<div class="block">Starts the client process</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#startProcess--">startProcess()</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Starts Tor process, and issues booted event on completion</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STATUS_BOOTING">STATUS_BOOTING</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STATUS_CIRCUIT_CREATION">STATUS_CIRCUIT_CREATION</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STATUS_DEAD">STATUS_DEAD</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STATUS_IDLE">STATUS_IDLE</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STATUS_LATENCY_CHECKING">STATUS_LATENCY_CHECKING</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#stop--">stop()</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Stop the tor controller process completely</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ClientProcess.html#stopProcess--">stopProcess()</a></span> - Method in class lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></dt>
<dd>
<div class="block">Stops the client process</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#STREAM_IP">STREAM_IP</a></span> - Static variable in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../lib/SwingTrayIcon.html" title="class in lib"><span class="typeNameLink">SwingTrayIcon</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#SwingTrayIcon-java.awt.GraphicsConfiguration-java.lang.String-">SwingTrayIcon(GraphicsConfiguration, String)</a></span> - Constructor for class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-17.html">Prev Letter</a></li>
<li><a href="index-19.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-18.html" target="_top">Frames</a></li>
<li><a href="index-18.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
